package com.bytedance.apm.impl;

import X.AnonymousClass9MM;
import X.C44459Lw;
import com.bytedance.covode.number.Covode;
import com.bytedance.services.apm.api.IMonitorLogManager;
import java.util.List;
import org.json.JSONObject;

public class MonitorLogManagerImpl implements IMonitorLogManager {
    static {
        Covode.recordClassIndex(23338);
    }

    public void deleteLegacyLogByIds(String str, String str2) {
    }

    public void getLegacyLog(long j, long j2, String str, AnonymousClass9MM r6) {
    }

    public List<JSONObject> getRecentUiActionRecords() {
        return C44459Lw.LIZ().LIZ.LIZ;
    }
}
